#-----------------------------------------------------------------------------
%global		dist	.ok
#-----------------------------------------------------------------------------
Name		:	v4l-utils
Version		:	1.28.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Utilities for video4linux and DVB devices

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://www.linuxtv.org/downloads/v4l-utils/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	desktop-file-utils
BuildRequires	:	doxygen
BuildRequires	:	gettext
BuildRequires	:	glu-devel
BuildRequires	:	json-c-devel
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	linux-headers
BuildRequires	:	make
BuildRequires	:	openjpeg
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qt5compat-devel
BuildRequires	:	SDL2_image-devel

Requires	:	libv4l		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description
v4l-utils is a collection of various video4linux (V4L) and
DVB utilities. The main v4l-utils package contains cx18-ctl,
ir-keytable, ivtv-ctl, v4l2-ctl and v4l2-sysfs-path.
 

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-, root,root, -)
%doc README.md
%config(noreplace) %{_sysconfdir}/rc_maps.cfg
%{_libdir}/udev/rules.d/70-infrared.rules
%{_libdir}/udev/rc_keymaps/*
%{_bindir}/cx18-ctl
%{_bindir}/cec*
%{_bindir}/dvb*
%{_bindir}/ir-ctl
%{_bindir}/ir-keytable
%{_bindir}/ivtv-ctl
%{_bindir}/media-ctl
%{_bindir}/rds-ctl
%{_bindir}/v4l2-ctl
%{_bindir}/v4l2-sysfs-path
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

#=============================================================================
%package		devel-tools
Summary		:	Utilities for v4l2 / DVB driver development and debugging


#-----------------------------------------------------------------------------
Requires	:	libv4l		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel-tools
Utilities for v4l2 / DVB driver authors: decode_tm6000,
v4l2-compliance and v4l2-dbg.

#-----------------------------------------------------------------------------
%files			devel-tools
%defattr(-,root,root,-)
%doc README.md
%{_sbindir}/v4l2-dbg
%{_bindir}/decode_tm6000
%{_bindir}/v4l2-compliance
%{_mandir}/man1/v4l2-compliance.1.gz

#=============================================================================
%package -n		qv4l2
Summary		:	QT v4l2 test control and streaming test application


#-----------------------------------------------------------------------------
Requires	:	libv4l		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description -n		qv4l2
T v4l2 test control and streaming test application.

#-----------------------------------------------------------------------------
%files -n		qv4l2
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/qv4l2
%{_bindir}/qvidcap
%{_bindir}/v4l2-tracer
%{_datadir}/applications/qv4l2.desktop
%{_datadir}/applications/qvidcap.desktop
%{_datadir}/icons/hicolor/*/apps/qv4l2.*
%{_datadir}/icons/hicolor/*/apps/qvidcap.*
%{_mandir}/man1/qv4l2.1.gz
%{_mandir}/man1/qvidcap.1.gz

#=============================================================================
%package -n		libv4l
Summary		:	Collection of video4linux support libraries

Provides	:	libv4l

#-----------------------------------------------------------------------------
%description -n		libv4l
libv4l is a collection of libraries which adds a thin
abstraction layer on top of video4linux2 devices.
The purpose of this (thin) layer is to make it easy
for application writers to support a wide variety of
devices without having to write separate code for
different devices in the same class. libv4l consists
of 3 different libraries: libv4lconvert, libv4l1 and libv4l2.
 
libv4lconvert offers functions to convert from any
(known) pixel-format to V4l2_PIX_FMT_BGR24 or
V4l2_PIX_FMT_YUV420.
 
libv4l1 offers the (deprecated) v4l1 API on top of
v4l2 devices, independent of the drivers for those
devices supporting v4l1 compatibility (which many
v4l2 drivers do not).
 
libv4l2 offers the v4l2 API on top of v4l2 devices,
while adding for the application transparent
libv4lconvert conversion where necessary.
 

#-----------------------------------------------------------------------------
%files -n		libv4l
%defattr(-,root,root,-)
%doc ChangeLog README.libv4l TODO
%license COPYING.libv4l COPYING
%{_libdir}/libv4l
%{_libdir}/libv4l*.so.*

#=============================================================================
%package -n		libv4l-devel
Summary		:	Development files for libv4l

#-----------------------------------------------------------------------------
Requires	:	libv4l		= %{version}-%{release}

Provides	:	libv4l-devel

#-----------------------------------------------------------------------------
%description -n		libv4l-devel
The libv4l-devel package contains libraries and
header files for developing applications that use libv4l.

#-----------------------------------------------------------------------------
%files -n		libv4l-devel
%defattr(-,root,root,-)
%doc README.lib-multi-threading
%{_includedir}/libv4l*.h
%{_libdir}/libv4l*.so
%{_libdir}/pkgconfig/libv4l*.pc

#=============================================================================
%package -n		libdvdv5
Summary		:	Libraries to control, scan and zap on Digital TV channels

Provides	:	libdvdv5
#-----------------------------------------------------------------------------
%description -n		libdvdv5
Libraries to control, scan and zap on Digital TV channels
 

#-----------------------------------------------------------------------------
%files -n		libdvdv5	-f libdvbv5.lang
%defattr(-,root,root,-)
%doc ChangeLog lib/libdvbv5/README
%license COPYING
%{_libdir}/libdvbv5*.so.*
%{_libdir}/gconv/*.so
%{_libdir}/gconv/gconv-modules

#=============================================================================
%package -n		libdvdv5-devel
Summary		:	Development files for libdvbv5

Requires	:	libdvdv5	= %{version}-%{release}

Provides	:	libdvdv5-devel
#-----------------------------------------------------------------------------
%description -n		libdvdv5-devel
The libdvbv5-devel package contains libraries and header
files for developing applications that use libdvbv5.
 

#-----------------------------------------------------------------------------
%files -n		libdvdv5-devel	-f libdvbv5.lang
%defattr(-,root,root,-)
%{_includedir}/libdvbv5/*.h
%{_libdir}/libdvbv5*.so
%{_libdir}/pkgconfig/libdvbv5*.pc
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
        --bindir=%{_bindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--datadir=%{_datadir}				\
	-D doxygen-man=true				\
	-D doxygen-html=false				\
	_bld

meson	compile						\
	-C _bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
		-C _bld					\
		--destdir=%{buildroot}			\


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%{__rm} -f						\
	%{buildroot}%{_libdir}/{v4l1compat.so,v4l2convert.so}

desktop-file-validate					\
	 %{buildroot}%{_datadir}/applications/qv4l2.desktop

%find_lang %{name}
%find_lang libdvbv5

#-----------------------------------------------------------------------------
%changelog
